Subject: Re: [Bitcoin-development] Why are we bleeding nodes?

From: Tamas Blummer <[email-masked]>
Date: Mon, 7 Apr 2014 21:05:48 +0200

Maybe it is not a question of the maturity of the implementation but that of the person making presumptions of it.

I consider a fully pruned blockchain being equivalent to the UTXO. Block that hold no
more unspent transaction are reduced to a header. There is however no harm if more retained.

Tamas Blummer
http://bitsofproof.com

On 07.04.2014, at 21:02, Gregory Maxwell <[email-masked]> wrote:

> On Mon, Apr 7, 2014 at 12:00 PM, Tamas Blummer <[email-masked]> wrote:
>> Once a single transaction in pruned in a block, the block is no longer
>> eligible to be served to other nodes.
>> Which transactions are pruned can be rather custom e.g. even depending on
>> the wallet(s) of the node,
>> therefore I guess it is more handy to return some bitmap of pruned/full
>> blocks than ranges.
> 
> This isn't at all how pruning works in Bitcoin-QT  (nor is it how I
> expect pruning to work for any mature implementation). Pruning can
> work happily on a whole block at a time basis regardless if all the
> transactions in it are spent or not.
>